Subject: Re: [RFC] Convert builin-mailinfo.c to use The Better String Library.

From: Andreas Ericsson <[email-masked]>
Date: Sun, 09 Sep 2007 02:29:40 +0200

Dmitry Kakurin wrote:
> On 9/6/07, Andreas Ericsson <[email-masked]> wrote:
>> They already have, but every now and then someone comes along and suggest
>> a complete rewrite in some other language. So far we've had Java (there's
>> always one...), Python and now C++.
> 
> Since this "complete rewrite" was mentioned in multiple emails I'd
> like to rectify that:
> What I'm offering (for Git) is to use C++ as a "better C".
> Don't change any existing *working* code, but start introducing simple
> C++ constructs in the new code.
> Git is simple enough to not require any high-level abstractions. But
> some utility classes could make code much simpler.
> 

There are far too many highly valuable contributors that have spoken
against C++ for me to believe that C++ and C will ever co-exist in the
official git repo. Good thing utility classes can be developed on top
of the existing C-code, but in a separate repo, and packed into a
library. That way, you get some hacking ground for your beloved C++
coderswhile the current git contributors can keep contributing in the
language they like best.

> And BTW, I don't even like C++ that much :-), I just like it much
> better than C.  I've been saying that C++ is a legacy language for
> quite some time now. But we will use it for many years to come because
> the size of this legacy code is huge, so there will be plenty of C++
> developers available (to contribute to Git :-).

The C code base is a lot larger and C++ will drop dead pretty fast if it's
ever removed or left unmaintained. So much for dinosaurs...

> And C++ is the only way to move with existing C codebase.

Complete and utter BS. It can also stay in C, or get language bindings for
Python/Perl/PHP/LUA(?)/whatever, or both.

-- 
Andreas Ericsson                   [email-masked]
OP5 AB                             www.op5.se
Tel: +46 8-230225                  Fax: +46 8-230231